Get Approval Status for a Deployment Job
With this API, you can check the history of actions and the status of the job approval, along with the comments provided by the job approver.
Sample - Get the Approval Status of a Deployment JobSample - Get the Approval Status of a Deployment Job
API Request
curl -X 'GET' \
'<qualys_base_url>/pm/v1/deploymentjobs/<job-id> /approval' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <JWT_Token>
API Response
[
{
"approvalStatus": "APPROVED",
"decisions": [
{
"userId": "47109f50-52b2-4cf5-8139-ad57491e7740",
"action": "REJECTED",
"comment": "Update job",
"createdDateTime": "2026-09-09T10:24:29.427+00:00",
"userName": "<username1>"
},
{
"userId": "30ce0a0f-05b4-db48-8296-b7dd8a6d2943",
"action": "PENDING_APPROVAL",
"comment": "Sending job for approval.",
"createdDateTime": "2026-09-09T10:23:27.669+00:00",
"userName": "<username2>"
},
{
"userId": "30ce0a0f-05b4-db48-8296-b7dd8a6d2943",
"action": "revoked",
"comment": "Approval automatically revoked because deployment job configuration was modified.",
"createdDateTime": "2026-09-09T10:12:59.369+00:00",
"userName": "<username3>"
},
{
"userId": "47109f50-52b2-4cf5-8139-ad57491e7740",
"action": "REJECTED",
"comment": "change schedule time",
"createdDateTime": "2026-09-09T10:11:50.141+00:00",
"userName": "<username4>"
},
{
"userId": "30ce0a0f-05b4-db48-8296-b7dd8a6d2943",
"action": "PENDING_APPROVAL",
"comment": "Sending job for approval.",
"createdDateTime": "2026-09-09T10:11:11.037+00:00",
"userName": "<username5>"
},
.........
.........
{
"userId": "30ce0a0f-05b4-db48-8296-b7dd8a6d2943",
"action": "revoked",
"comment": "Approval automatically revoked because deployment job configuration was modified.",
"createdDateTime": "2026-09-09T10:08:30.052+00:00",
"userName": "<username6>"
},
{
"userId": "47109f50-52b2-4cf5-8139-ad57491e7740",
"action": "REJECTED",
"comment": "Change scope",
"createdDateTime": "2026-09-09T10:07:14.947+00:00",
"userName": "<username7>"
},
{
"userId": "30ce0a0f-05b4-db48-8296-b7dd8a6d2943",
"action": "PENDING_APPROVAL",
"comment": "Sending job for approval.",
"createdDateTime": "2026-09-09T10:06:47.641+00:00",
"userName": "<username8>"
}
]
}
]